cayenne-user mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Joseph Schmidt <joseph_schmid...@yahoo.com>
Subject Re: What 3rd party jars are a must?
Date Thu, 02 Apr 2009 10:26:00 GMT

> > http://cayenne.apache.org/doc/jar-files-and-dependencies.html
> > describes some of them but not all :(.
> > 
> > What about?:
> > asm-3.0..jar
> > asm-commons-3.0.jar
> > geronimo-jpa_3.0_spec-1.0.jarĀ  ?
> > 
> > Are they required when using a "pure cayenne" server,
> i.e. no JPA?
> > (they were not required in Cayenne 2)
> 
> What makes you think these are required? 
They were in the distribution :). Usually they include only what's really needed :).

> They aren't in the
> documentation as required and the documentation is correct.
OK. Thank you for the information :).
This statement is however quite seldom for open source projects (even for the most Apache.org
ones :) ).

> Are you getting some error at runtime?
No, but those look like bytecode manipulation libs. 
Without them other open source projects would be e.g. slower, or some features would simply
not work correctly.

But of course, the less dependencies and the smaller the jars, the better :).

Joseph.


      


Mime
View raw message